## mathicgb 1.0~git20131006

=== debian/changelog ===
mathicgb (1.0~git20131006-3) unstable; urgency=medium

  * Update my email address.
  * debian/control
    - Tidy up using wrap-and-sort.

 -- Doug Torrance <dtorrance@piedmont.edu>  Sat, 29 Aug 2015 09:47:58 -0400

mathicgb (1.0~git20131006-2) unstable; urgency=medium

  * debian/control
    - Move self to Uploaders; set Debian Science as Maintainer.
    - Restrict Build-Depends on libtbb-dev to the architectures on which it
      exists.
    - Set Priority to extra to satisfy Policy section 2.5 (libtbb is a
      dependency which has priority extra).
    - Remove dpkg-dev (>= 1.18.0) from Build-Depends; unnecessary as we no
      longer have a symbols file and thus do not need the arch-bits tag.
    - Remove redundant Priority field.
  * debian/libmathicgb0.symbols
    - Remove file for ease of maintainability.
  * debian/patches/fix_archs_with_unsigned_char.patch
    - New patch; fix failing tests for architectures which default to unsigned
      char.
  * debian/patches/fix_example_perms.patch
    - Remove empty file.

 -- Doug Torrance <dtorrance@monmouthcollege.edu>  Sat, 18 Jul 2015 15:06:45 -0600

mathicgb (1.0~git20131006-1) unstable; urgency=low

  * Initial release (Closes: #781665).

 -- Doug Torrance <dtorrance@monmouthcollege.edu>  Wed, 01 Apr 2015 07:12:36 -0500
