=== debian/rules ===
#!/usr/bin/make -f

EXAMPLESDIR = $(CURDIR)/debian/mathicgb/usr/share/doc/mathicgb/examples

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- GTEST_PATH=/usr/src

override_dh_fixperms:
	dh_fixperms
	#dh_fixperms skips files in examples directory
	chmod 644 $(EXAMPLESDIR)/*.ideal

override_dh_strip:
	dh_strip --dbg-package=libmathicgb-dbg

get-orig-source:
	wget https://github.com/broune/mathicgb/archive/master.tar.gz
	git checkout upstream
	git pull https://github.com/broune/mathicgb
	grep -Po '(?<=AC_INIT\(\[mathicgb\], \[).*(?=\]\))' configure.ac \
		> version
	git show HEAD^:configure.ac | \
		grep -Po '(?<=AC_INIT\(\[mathicgb\], \[).*(?=\]\))' > oldversion
	if test `cat oldversion` = `cat version` ; then \
		echo "`cat version`~git`date -d @\`git log -1 --pretty=format:%ct\` +%Y%m%d`" > version; \
	fi
	git checkout master
	mv -v master.tar.gz ../mathicgb_`cat version`.orig.tar.gz
	rm version oldversion
