## mathicgb 1.0~git20150904

=== debian/changelog ===
mathicgb (1.0~git20150904-2) unstable; urgency=medium

  * debian/control
    - Update Vcs-Browser to use https; fixes vcs-field-uses-insecure-uri
      Lintian warning.
  * debian/{control,mgb.1}
    - Replace "Grobner" with "Groebner", the correct anglicization of "Gröbner"
      (Closes: #807904).
  * debian/rules
    - Enable all hardening flags; fixes hardening-no-{bindnow,pie} Lintian
      warnings.

 -- Doug Torrance <dtorrance@piedmont.edu>  Sun, 31 Jan 2016 16:14:51 -0500

mathicgb (1.0~git20150904-1) unstable; urgency=medium

  * New upstream release (git snapshot).
  * debian/control
    - Update Homepage.
  * debian/copyright
    - Update Source.
    - Remove Comment; license information now in source.
  * debian/patches
    - Remove files; patches applied upstream.
  * debian/rules
    - Update GTEST_PATH in override_dh_auto_configure target.
    - Add --enable-shared to override_dh_auto_configure target.
    - Update get-orig-source target with new location.
  * debian/watch
    - Update comment with new location.

 -- Doug Torrance <dtorrance@piedmont.edu>  Sat, 05 Sep 2015 20:21:41 -0400
