=== debian/control ===
Source: mathicgb
Priority: extra
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Doug Torrance <dtorrance@piedmont.edu>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               libgtest-dev,
               libmathic-dev,
               libmemtailor-dev,
               libtbb-dev [amd64 arm64 armhf hppa i386 powerpc ppc64el],
               pkg-config
Standards-Version: 3.9.6
Section: math
Homepage: https://github.com/Macaulay2/mathicgb
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/mathicgb.git
Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/mathicgb.git

Package: mathicgb
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: foreign
Description: Compute Groebner bases (command line tool)
 Mathicgb is a program for computing Groebner basis and signature Groebner
 bases.  Mathicgb is based on the fast data structures from mathic.
 .
 The paper "Practical Groebner Basis Computation" describes the algorithms in
 Mathicgb from a high level. It was presented at ISSAC 2012 and is available at
 http://arxiv.org/abs/1206.6940
 .
 This package contains the command line tool.

Package: libmathicgb-dev
Section: libdevel
Architecture: any
Depends: libmathicgb0 (= ${binary:Version}), ${misc:Depends}
Multi-Arch: same
Description: Compute Groebner bases (developer tools)
 Mathicgb is a program for computing Groebner basis and signature Groebner
 bases.  Mathicgb is based on the fast data structures from mathic.
 .
 The paper "Practical Groebner Basis Computation" describes the algorithms in
 Mathicgb from a high level. It was presented at ISSAC 2012 and is available at
 http://arxiv.org/abs/1206.6940
 .
 This package contains the developer tools.

Package: libmathicgb0
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Compute Groebner bases (runtime library)
 Mathicgb is a program for computing Groebner basis and signature Groebner
 bases.  Mathicgb is based on the fast data structures from mathic.
 .
 The paper "Practical Groebner Basis Computation" describes the algorithms in
 Mathicgb from a high level. It was presented at ISSAC 2012 and is available at
 http://arxiv.org/abs/1206.6940
 .
 This package contains the runtime library.

Package: libmathicgb-dbg
Architecture: any
Section: debug
Depends: libmathicgb0 (= ${binary:Version}), ${misc:Depends}
Multi-Arch: same
Description: Compute Groebner bases (debugging symbols)
 Mathicgb is a program for computing Groebner basis and signature Groebner
 bases.  Mathicgb is based on the fast data structures from mathic.
 .
 The paper "Practical Groebner Basis Computation" describes the algorithms in
 Mathicgb from a high level. It was presented at ISSAC 2012 and is available at
 http://arxiv.org/abs/1206.6940
 .
 This package contains the debugging symbols.
