=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 EXAMPLESDIR = $(CURDIR)/debian/mathicgb/usr/share/doc/mathicgb/examples
 
@@ -6,7 +8,7 @@
 	dh $@ --with autoreconf
 
 override_dh_auto_configure:
-	dh_auto_configure -- GTEST_PATH=/usr/src
+	dh_auto_configure -- GTEST_PATH=/usr/src/gtest --enable-shared
 
 override_dh_fixperms:
 	dh_fixperms
@@ -17,9 +19,9 @@
 	dh_strip --dbg-package=libmathicgb-dbg
 
 get-orig-source:
-	wget https://github.com/broune/mathicgb/archive/master.tar.gz
+	wget https://github.com/Macaulay2/mathicgb/archive/master.tar.gz
 	git checkout upstream
-	git pull https://github.com/broune/mathicgb
+	git pull https://github.com/Macaulay2/mathicgb
 	grep -Po '(?<=AC_INIT\(\[mathicgb\], \[).*(?=\]\))' configure.ac \
 		> version
 	git show HEAD^:configure.ac | \
