=== debian/tests/control ===
Tests: build
Depends: build-essential, libmathic-dev, libmathicgb-dev, libmemtailor-dev,
 pkg-config
