## mathicgb 1.0~git20170104

=== debian/changelog ===
mathicgb (1.0~git20170104-1ubuntu1) zesty; urgency=medium

  * Disable tests for now on buildds as they segfault

 -- Bhavani Shankar <bhavi@ubuntu.com>  Thu, 09 Feb 2017 10:51:02 +0530

mathicgb (1.0~git20170104-1) unstable; urgency=medium

  * New upstream release (git snapshot).
  * debian/control
    - Bump to Standards-Version 3.9.8.
    - Remove libmathicgb-dbg package in favor of new automatically
      generated *-dbgsym packages.
  * debian/mathicgb.install
    - Move installation of manpage to dh_install.
  * debian/{mathicgb.manpages,mgb.1}
    - Remove files; manpage added upstream.
  * debian/rules
    - Add --dbgsym-migration option to dh_strip.
  * debian/tests/unittest
    - Use upstream unit tests for continuous integration.

 -- Doug Torrance <dtorrance@piedmont.edu>  Wed, 11 Jan 2017 16:46:27 -0500
