=== debian/rules ===
--- 
+++ 
@@ -10,13 +10,15 @@
 override_dh_auto_configure:
 	dh_auto_configure -- GTEST_PATH=/usr/src/gtest --enable-shared
 
+override_dh_auto_test:
+
 override_dh_fixperms:
 	dh_fixperms
 	#dh_fixperms skips files in examples directory
 	chmod 644 $(EXAMPLESDIR)/*.ideal
 
 override_dh_strip:
-	dh_strip --dbg-package=libmathicgb-dbg
+	dh_strip --dbgsym-migration='libmathicgb-dbg (<< 1.0~git20150904-2~)'
 
 get-orig-source:
 	wget https://github.com/Macaulay2/mathicgb/archive/master.tar.gz
