## mathicgb 1.0~git20170606

=== debian/changelog ===
mathicgb (1.0~git20170606-1) unstable; urgency=medium

  * New upstream release (git snapshot).
  * debian/compat
    - Bump debhelper compatibility level to 10.
  * debian/control
    - Set priority to optional.
    - Bump versioned dependency on debhelper to >= 10.
    - Remove dh-autoreconf from Build-Depends.
    - Bump Standards-Version to 4.0.1.
  * debian/copyright
    - Use https in Format.
  * debian/mathicgb.docs
    - Rename from just 'docs' for clarity.
  * debian/patches/big-endian.patch
    - New patch; fix tests on big-endian architectures (Closes: #862090).
  * debian/patches/link-deps.patch
    - New patch; properly link against mathic and memtailor.
  * debian/rules
    - Remove call to dh_autoreconf; now default with debhelper 10.

 -- Doug Torrance <dtorrance@piedmont.edu>  Sat, 12 Aug 2017 18:33:51 -0400
