=== debian/control ===
--- 
+++ 
@@ -1,16 +1,14 @@
 Source: mathicgb
-Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Priority: optional
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Doug Torrance <dtorrance@piedmont.edu>
-Build-Depends: debhelper (>= 9),
-               dh-autoreconf,
+Build-Depends: debhelper (>= 10),
                libgtest-dev,
                libmathic-dev,
                libmemtailor-dev,
                libtbb-dev [amd64 arm64 armhf hppa i386 powerpc ppc64el],
                pkg-config
-Standards-Version: 3.9.8
+Standards-Version: 4.0.1
 Section: math
 Homepage: https://github.com/Macaulay2/mathicgb
 Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/mathicgb.git
