=== debian/rules ===
--- 
+++ 
@@ -5,12 +5,10 @@
 EXAMPLESDIR = $(CURDIR)/debian/mathicgb/usr/share/doc/mathicgb/examples
 
 %:
-	dh $@ --with autoreconf
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- GTEST_PATH=/usr/src/gtest --enable-shared
-
-override_dh_auto_test:
 
 override_dh_fixperms:
 	dh_fixperms
