=== debian/tests/control ===
Tests: unittest
Depends: build-essential, libmathic-dev, libmathicgb-dev, libmemtailor-dev,
 libgtest-dev, libtbb-dev, pkg-config
