## mathicgb 1.0~git20181123

=== debian/changelog ===
mathicgb (1.0~git20181123-1) unstable; urgency=medium

  * New upstream release (git snapshot).
  * debian/compat
    - Remove file; unnecessary after bump to compatibility level 12.
  * debian/control
    - Drop debhelper from Build-Depends in favor of debhelper-compat
      for compatibility level 12.
    - Add Rules-Requires-Root field.
    - Bump Standards-Version to 4.5.0.
  * debian/mathicgb.examples
    - Add newline at end of file.
  * debian/patches/cross.patch
    - Add patch by Helmut Grohne <helmut@subdivi.de> to allow
      cross-building (Closes: #929037).
  * debian/rules
    - Drop override_dh_strip target. It was added in package version
      1.0~git20170104-1, which is in oldstable. The target existed to
      pass the --dbgsym-migration option, and this migration is complete.
  * debian/salsa-ci.yml
    - Add Salsa pipelines config file.
  * debian/tests/control
    - Reformat using wrap-and-sort.
  * debian/upstream/metadata
    - Add Repository and Bug-Database fields.

 -- Doug Torrance <dtorrance@piedmont.edu>  Tue, 21 Apr 2020 22:25:58 -0400

mathicgb (1.0~git20170606-2) unstable; urgency=medium

  * debian/compat
    - Bump debhelper compatibility level to 11.
  * debian/control
    - Bump versioned dependency on debhelper to >= 11.
    - Bump Standards-Version to 4.1.5.
    - Update Vcs-* links to Salsa.
  * debian/rules
    - Drop get-orig-source target; replaced by uscan.
  * debian/watch
    - Use uscan with git mode to obtain upstream tarball.

 -- Doug Torrance <dtorrance@piedmont.edu>  Mon, 09 Jul 2018 22:47:45 -0400
