=== debian/control ===
--- 
+++ 
@@ -2,17 +2,18 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Doug Torrance <dtorrance@piedmont.edu>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 12),
                libgtest-dev,
                libmathic-dev,
                libmemtailor-dev,
                libtbb-dev [amd64 arm64 armhf hppa i386 powerpc ppc64el],
                pkg-config
-Standards-Version: 4.0.1
+Standards-Version: 4.5.0
 Section: math
 Homepage: https://github.com/Macaulay2/mathicgb
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/mathicgb.git
-Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/mathicgb.git
+Vcs-Git: https://salsa.debian.org/science-team/mathicgb.git
+Vcs-Browser: https://salsa.debian.org/science-team/mathicgb
+Rules-Requires-Root: no
 
 Package: mathicgb
 Architecture: any
