=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

EXAMPLESDIR = $(CURDIR)/debian/mathicgb/usr/share/doc/mathicgb/examples

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- GTEST_PATH=/usr/src/gtest --enable-shared

override_dh_fixperms:
	dh_fixperms
	#dh_fixperms skips files in examples directory
	chmod 644 $(EXAMPLESDIR)/*.ideal
