=== debian/changelog ===
mathicgb (1.0~git20200526-1) unstable; urgency=medium

  * New upstream release (git snapshot).
  * debian/patches/cross.patch
    - Remove patch; applied upstream.
  * debian/rules
    - Remove override_dh_fixperms target; file permissions have been
      fixed upstream.
  * debian/salsa-ci.yml
    - Restore file so we don't trigger builds when pushing upstream
      or pristine-tar branches.

 -- Doug Torrance <dtorrance@piedmont.edu>  Wed, 01 Jul 2020 08:26:36 -0400

mathicgb (1.0~git20181123-2) unstable; urgency=medium

  * debian/control
    - Bump debhelper compatibility level to 13.
  * debian/not-installed
    - New file; now that we are using debhelper 13, we need to tell
      dh_missing that we are not installing the libtool .la file.
  * debian/salsa-ci.yml
    - Remove file; we will use the one hosted at the Salsa CI Team's
      repository.
  * debian/tests/control
    - Allow stderr messages in autopkgtest.  We were getting warnings from
      including tbb.h that were causing the tests to fail.  Adapted from a
      patch by Graham Inggs <ginggs@ubuntu.com> for the Ubuntu version of
      the package.

 -- Doug Torrance <dtorrance@piedmont.edu>  Thu, 14 May 2020 13:57:48 -0400
