## mathicgb 1.0~git20210109

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,8 +5,8 @@
 
 project(mathicgb VERSION 1.0 LANGUAGES CXX)
 
-option(enable_mgb "Build mgb" OFF)
-option(with_tbb "use TBB for multithreading" OFF)
+option(enable_mgb "Build mgb" ON)
+option(with_tbb "use TBB for multithreading" auto)
 
 set(CMAKE_MODULE_PATH "${PROJECT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
 
@@ -20,6 +20,10 @@
   set(with_tbb ${TBB_FOUND})
 endif()
 
+if(CMAKE_BUILD_TYPE STREQUAL Debug)
+  add_compile_options(-DMATHICGB_DEBUG -DMATHIC_DEBUG -DMEMT_DEBUG)
+endif()
+
 add_compile_options(
   -DHAVE_CXX11=1
   -DPACKAGE_NAME="${PROJECT_NAME}"
@@ -31,7 +35,7 @@
   -DPACKAGE="${PROJECT_NAME}"
   -DVERSION="${PROJECT_VERSION}"
   $<$<NOT:$<BOOL:${with_tbb}>>:-DMATHICGB_NO_TBB>
-)
+  )
 
 add_library(mathicgb STATIC
   src/mathicgb/MonoArena.hpp
@@ -101,6 +105,7 @@
   PUBLIC
     $<BUILD_INTERFACE:${CMAKE_SOURCE_DIR}/src>
     $<INSTALL_INTERFACE:include>
+    $<$<BOOL:${with_tbb}>:${TBB_INCLUDE_DIRS}>
     ${MEMTAILOR_INCLUDE_DIR}
     ${MATHIC_INCLUDE_DIR}
   )
