=== debian/changelog ===
mathicgb (1.0~git20210109-1) unstable; urgency=medium

  * New upstream release (git snapshot).
  * debian/control
    - Bump Standards-Version to 4.6.0.
    - Drop specific architectures from libtbb-dev in Build-Depends; it is
      now available on all the official ones.
  * debian/patches/big-endian.patch
    - Add Author, Bug, and Bug-Debian fields.
  * debian/patches/include-limits.patch
    - New patch; include header for std::numeric_limits. Otherwise,
      mathicgb fails to compile using GCC 11 (Closes: #984231).
  * debian/patches/link-deps.patch
    - Remove patch; applied upstream.

 -- Doug Torrance <dtorrance@piedmont.edu>  Thu, 19 Aug 2021 21:09:39 -0400
