=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
                libgtest-dev,
                libmathic-dev,
                libmemtailor-dev,
-               libtbb-dev [amd64 arm64 armhf hppa i386 powerpc ppc64el],
+               libtbb-dev,
                pkg-config
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Section: math
 Homepage: https://github.com/Macaulay2/mathicgb
 Vcs-Git: https://salsa.debian.org/science-team/mathicgb.git
