=== debian/changelog ===
mathicgb (1.0~git20211216-3build1) jammy; urgency=medium

  * No-change rebuild for libtbb soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 09 Mar 2022 10:07:01 +0100

mathicgb (1.0~git20211216-3) unstable; urgency=medium

  * debian/copyright
    - Update my copyright years.
  * debian/tests/unittest
    - Drop "-std=gnu++11" to fix failing test due to lack of class
      template argument deduction before C++17.

 -- Doug Torrance <dtorrance@debian.org>  Thu, 10 Feb 2022 00:12:08 -0500

mathicgb (1.0~git20211216-2) unstable; urgency=medium

  * debian/patches/tbb-2021.patch
    - Add patch to support TBB 2021.

 -- Doug Torrance <dtorrance@debian.org>  Wed, 09 Feb 2022 16:41:27 -0500

mathicgb (1.0~git20211216-1) unstable; urgency=medium

  * New upstream release (git snapshot).
  * debian/control
    - Update my email address; now a Debian Developer.
  * debian/copyright
    - Update my email address and copyright years.
  * debian/upstream/metadata
    - Add "---" to signal document start.
    - Fix case in Bug-Database URL.
    - Add Bug-Submit URL.

 -- Doug Torrance <dtorrance@debian.org>  Wed, 22 Dec 2021 09:23:37 -0500

mathicgb (1.0~git20211001-1) unstable; urgency=medium

  * New upstream release (git snapshot).
  * debian/control
    - Update Maintainer to Debian Math Team.
    - Update Vcs-* fields (debian-science -> debian-math).
  * debian/patches/include-limits.patch
    - Remove patch; applied upstream.

 -- Doug Torrance <dtorrance@piedmont.edu>  Sun, 07 Nov 2021 17:00:14 -0500
