=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: mathicgb
 Priority: optional
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Doug Torrance <dtorrance@piedmont.edu>
+Maintainer: Debian Math Team <team+math@tracker.debian.org>
+Uploaders: Doug Torrance <dtorrance@debian.org>
 Build-Depends: debhelper-compat (= 13),
                libgtest-dev,
                libmathic-dev,
@@ -11,8 +11,8 @@
 Standards-Version: 4.6.0
 Section: math
 Homepage: https://github.com/Macaulay2/mathicgb
-Vcs-Git: https://salsa.debian.org/science-team/mathicgb.git
-Vcs-Browser: https://salsa.debian.org/science-team/mathicgb
+Vcs-Git: https://salsa.debian.org/math-team/mathicgb.git
+Vcs-Browser: https://salsa.debian.org/math-team/mathicgb
 Rules-Requires-Root: no
 
 Package: mathicgb
