## mathicgb 1.0~git20220311

=== debian/changelog ===
mathicgb (1.0~git20220311-2) unstable; urgency=medium

  * debian/patches/no-tbb-assert.patch
    - New patch; include <cassert> when not building with TBB support.
  * debian/patches/tbb-32-bit.patch
    - New patch; detect TBB 2021 on 32-bit systems.

 -- Doug Torrance <dtorrance@debian.org>  Wed, 16 Mar 2022 23:12:31 -0400

mathicgb (1.0~git20220311-1) unstable; urgency=medium

  * New upstream release (git snapshot).
  * debian/gbp.conf
    - Add file; sets default Debian branch to DEP-14 recommended
     "debian/latest".
  * debian/patches/tbb-2021.patch
    - Remove patch; TBB 2021 is now supported upstream.

 -- Doug Torrance <dtorrance@debian.org>  Fri, 11 Mar 2022 14:39:03 -0500

mathicgb (1.0~git20220225-1) unstable; urgency=medium

  * New upstream release (git snapshot).
  * debian/control
    - Only include libtbb-dev in Build-Depends in Linux; it isn't available
      in Hurd or kFreeBSD.
    - Exclude libgtest-dev with nocheck build profile.
  * debian/libmathicgb-dev.install
    - Install all header files, as this release includes more than just
      mathicgb.h.
  * debian/rules
    - Build without gtest when "nocheck" in DEB_BUILD_OPTIONS.

 -- Doug Torrance <dtorrance@debian.org>  Wed, 02 Mar 2022 22:39:39 -0500
