=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Maintainer: Debian Math Team <team+math@tracker.debian.org>
 Uploaders: Doug Torrance <dtorrance@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               libgtest-dev,
+               libgtest-dev <!nocheck>,
                libmathic-dev,
                libmemtailor-dev,
-               libtbb-dev,
+               libtbb-dev [linux-any],
                pkg-config
 Standards-Version: 4.6.0
 Section: math
