## mathicgb 1.0~git20220426

=== debian/changelog ===
mathicgb (1.0~git20220426-2) unstable; urgency=medium

  * debian/control
    - Bump Standards-Version to 4.6.1
  * debian/patches/libatomic.patch
    - New patch; link against libatomic to avoid build failures on armel
      and mipsel.

 -- Doug Torrance <dtorrance@debian.org>  Tue, 14 Jun 2022 00:17:29 -0400

mathicgb (1.0~git20220426-1) unstable; urgency=medium

  * New upstream release (git snapshot).
  * debian/patches/{no-tbb-assert,tbb-32-bit}.patch
    - Remove patches; applied upstream

 -- Doug Torrance <dtorrance@debian.org>  Sun, 08 May 2022 20:47:38 -0400
